> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter um projeto

> Retorna os detalhes completos de um projeto pelo seu ID. O retorno inclui dados do próprio projeto, cliente e contato associados, funis em que o projeto está cadastrado (com todas as etapas, etiquetas, status e anexos), etapas atuais ocupadas, checklists avulsos, formulários respondidos do objeto projeto, grupos de projeto, usuários do projeto (criador e atribuídos), hierarquia (pai e filhos), executores envolvidos, etc.



## OpenAPI

````yaml /api-reference/openapi.json get /api/management/projects/{id}
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/projects/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: ID do projeto
        schema:
          type: string
        example: <string>
    get:
      tags:
        - projects
        - '{id}'
      summary: Obter um projeto
      description: >-
        Retorna os detalhes completos de um projeto pelo seu ID. O retorno
        inclui dados do próprio projeto, cliente e contato associados, funis em
        que o projeto está cadastrado (com todas as etapas, etiquetas, status e
        anexos), etapas atuais ocupadas, checklists avulsos, formulários
        respondidos do objeto projeto, grupos de projeto, usuários do projeto
        (criador e atribuídos), hierarquia (pai e filhos), executores
        envolvidos, etc.
      parameters:
        - name: is_template
          in: query
          description: >-
            Quando `true`, busca o registro entre projetos do tipo template.
            Padrão: `false`.
          schema:
            type: string
          example: ''
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    description: Indica que a requisição foi processada com sucesso.
                  project:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Identificador do projeto.
                        format: uuid
                      parent_id:
                        type: string
                        description: ID do projeto pai na hierarquia.
                        format: uuid
                      old_id:
                        type: string
                        description: Identificador legado, preservado em migrações.
                      code:
                        type: string
                        description: >-
                          Código curto do projeto (prefixo do funil + número
                          sequencial).
                      name:
                        type: string
                      description:
                        type: string
                      impact:
                        type: integer
                        minimum: 0
                        maximum: 10
                        description: Impacto declarado do projeto.
                      frame_id:
                        type: string
                        description: ID da empresa (frame) dona do projeto.
                        format: uuid
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      customer_id:
                        type: string
                        format: uuid
                      contact_id:
                        type: string
                        format: uuid
                      share_token:
                        type: string
                        description: Token público para compartilhamento externo.
                      share_settings:
                        type: object
                      merged_id:
                        type: string
                        description: ID do projeto em que este foi mesclado.
                        format: uuid
                      status:
                        type: integer
                        enum:
                          - 1
                          - 2
                          - 3
                          - 4
                        description: 1=Em andamento, 2=Concluído, 3=Arquivado, 4=Pausado.
                      budget:
                        type: number
                        description: Orçamento do projeto.
                      is_template:
                        type: boolean
                      created_by:
                        type: string
                        description: ID do usuário que criou o projeto.
                        format: uuid
                      deleted_at:
                        type: string
                        format: date-time
                      children_count:
                        type: integer
                        minimum: 0
                        description: Quantidade de projetos filhos diretos.
                      form:
                        type: object
                        description: Formulário dinâmico hidratado, quando aplicável.
                      executors:
                        type: array
                        description: >-
                          Usuários executores envolvidos nas tarefas e seus
                          custos.
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            user:
                              type: string
                              description: Nome do executor.
                            hourly_rate:
                              type: number
                              description: >-
                                Valor-hora declarado no vínculo do usuário com o
                                frame.
                            elapsed:
                              type: integer
                              minimum: 0
                              description: Tempo realizado, em segundos.
                            elapsed_amount:
                              type: number
                              description: Custo realizado.
                            expected:
                              type: integer
                              minimum: 0
                              description: Tempo previsto, em segundos.
                            expected_amount:
                              type: number
                              description: Custo previsto.
                          required:
                            - id
                            - user
                            - hourly_rate
                            - elapsed
                            - elapsed_amount
                            - expected
                            - expected_amount
                      customer:
                        type: object
                        description: Cliente vinculado, com os campos do recurso Customer.
                      contact:
                        type: object
                        description: Contato vinculado, com os campos do recurso Contact.
                      funnels:
                        type: array
                        description: >-
                          Funis em que o projeto está cadastrado, incluindo
                          todas as etapas, etiquetas, status e anexos do funil.
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            prefix:
                              type: string
                              description: Prefixo usado para gerar o código dos projetos.
                            order:
                              type: integer
                            condition:
                              type: string
                              enum:
                                - active
                                - inactive
                            allow_multi_step:
                              type: boolean
                            show_cost_info:
                              type: boolean
                            business_area_id:
                              type: integer
                            form_id:
                              type: integer
                            frame_id:
                              type: string
                              format: uuid
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            deleted_at:
                              type: string
                              format: date-time
                            funnel_config_template_id:
                              type: integer
                            allow_execution:
                              type: boolean
                            project_term:
                              type: integer
                            pivot:
                              type: object
                              properties:
                                project_id:
                                  type: string
                                  format: uuid
                                project_funnel_id:
                                  type: integer
                                id:
                                  type: integer
                                statuses_at:
                                  type: string
                                  format: date-time
                                statuses_by:
                                  type: string
                                  format: uuid
                                funnel_status_id:
                                  type: integer
                                forecast_date:
                                  type: string
                                  format: date-time
                                realized_forecast_date:
                                  type: string
                                  format: date-time
                                created_at:
                                  type: string
                                  format: date-time
                                forecast_date_update_count:
                                  type: integer
                                  minimum: 0
                              required:
                                - project_id
                                - project_funnel_id
                                - id
                                - created_at
                                - forecast_date_update_count
                            steps:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                  name:
                                    type: string
                                  project_funnel_id:
                                    type: integer
                                  sensation_amount:
                                    type: integer
                                  step_forward_id:
                                    type: integer
                                  step_backward_id:
                                    type: integer
                                  order:
                                    type: integer
                                  help_text:
                                    type: string
                                  form_id:
                                    type: integer
                                  sort_config:
                                    type: object
                                  allow_execution:
                                    type: boolean
                                  show_customer_form:
                                    type: boolean
                                  show_contact_form:
                                    type: boolean
                                  hide_customer_form_when_linked:
                                    type: boolean
                                  hide_contact_form_when_linked:
                                    type: boolean
                                  created_at:
                                    type: string
                                    format: date-time
                                  updated_at:
                                    type: string
                                    format: date-time
                                  deleted_at:
                                    type: string
                                    format: date-time
                                  checklists:
                                    type: array
                                    items:
                                      type: object
                                  attachments:
                                    type: array
                                    items:
                                      type: object
                                  form:
                                    type: object
                                required:
                                  - id
                                  - name
                                  - project_funnel_id
                                  - order
                            form:
                              type: object
                            tags:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                  name:
                                    type: string
                                  color:
                                    type: string
                                    description: 'Cor em hex (ex.: #ff8d92).'
                                  project_funnel_id:
                                    type: integer
                                  deleted_at:
                                    type: string
                                    format: date-time
                                required:
                                  - id
                                  - name
                                  - color
                                  - project_funnel_id
                            funnel_status:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                  name:
                                    type: string
                                  color:
                                    type: string
                                  project_funnel_id:
                                    type: integer
                                  is_conclusive:
                                    type: boolean
                                  created_at:
                                    type: string
                                    format: date-time
                                  updated_at:
                                    type: string
                                    format: date-time
                                  deleted_at:
                                    type: string
                                    format: date-time
                                required:
                                  - id
                                  - name
                                  - color
                                  - project_funnel_id
                                  - is_conclusive
                            attachments:
                              type: array
                              items:
                                type: object
                          required:
                            - id
                            - name
                            - prefix
                            - condition
                            - frame_id
                            - pivot
                            - steps
                            - tags
                            - funnel_status
                            - attachments
                      project_checklists:
                        type: array
                        description: Itens de checklist avulsos vinculados ao projeto.
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            completed_at:
                              type: string
                              format: date-time
                            author_id:
                              type: string
                              description: Usuário responsável pelo item.
                              format: uuid
                            checked_by_id:
                              type: string
                              description: Usuário que marcou o item como concluído.
                              format: uuid
                            project_id:
                              type: string
                              format: uuid
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            order:
                              type: integer
                              minimum: 0
                          required:
                            - id
                            - name
                            - project_id
                            - order
                            - created_at
                            - updated_at
                      funnel_steps:
                        type: array
                        description: >-
                          Etapas atualmente ocupadas pelo projeto, com bloqueios
                          herdados da etapa.
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            project_funnel_id:
                              type: integer
                            sensation_amount:
                              type: integer
                            step_forward_id:
                              type: integer
                            step_backward_id:
                              type: integer
                            order:
                              type: integer
                            help_text:
                              type: string
                            form_id:
                              type: integer
                            sort_config:
                              type: object
                            allow_execution:
                              type: boolean
                            show_customer_form:
                              type: boolean
                            show_contact_form:
                              type: boolean
                            hide_customer_form_when_linked:
                              type: boolean
                            hide_contact_form_when_linked:
                              type: boolean
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            deleted_at:
                              type: string
                              format: date-time
                            pivot:
                              type: object
                              properties:
                                project_id:
                                  type: string
                                  format: uuid
                                funnel_step_id:
                                  type: integer
                                id:
                                  type: integer
                                order:
                                  type: integer
                                  minimum: 0
                                created_at:
                                  type: string
                                  format: date-time
                              required:
                                - project_id
                                - funnel_step_id
                                - id
                                - order
                                - created_at
                            funnel_step_blockings:
                              type: array
                              items:
                                type: object
                          required:
                            - id
                            - name
                            - project_funnel_id
                            - pivot
                            - funnel_step_blockings
                      step_form:
                        type: array
                        description: Formulários respondidos por etapa do funil.
                        items:
                          type: object
                      checklists:
                        type: array
                        description: >-
                          Checklists das etapas (não confundir com
                          project_checklists).
                        items:
                          type: object
                      tags:
                        type: array
                        description: >-
                          Etiquetas atribuídas ao projeto (sempre originárias de
                          um funil).
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            color:
                              type: string
                            project_funnel_id:
                              type: integer
                            deleted_at:
                              type: string
                              format: date-time
                            pivot:
                              type: object
                              properties:
                                project_id:
                                  type: string
                                  format: uuid
                                funnel_tag_id:
                                  type: integer
                                id:
                                  type: integer
                              required:
                                - project_id
                                - funnel_tag_id
                                - id
                          required:
                            - id
                            - name
                            - color
                            - project_funnel_id
                            - pivot
                      merged_project:
                        type: object
                        description: >-
                          Projeto resultante de uma fusão (apenas referência
                          mínima).
                        properties:
                          id:
                            type: string
                            format: uuid
                          code:
                            type: string
                          name:
                            type: string
                      loose_forms:
                        type: array
                        description: Formulários avulsos respondidos no projeto.
                        items:
                          type: object
                      forum:
                        type: object
                        description: Forum dedicado do projeto, quando habilitado.
                      groups:
                        type: array
                        description: Grupos aos quais o projeto pertence.
                        items:
                          type: object
                      users:
                        type: array
                        description: >-
                          Membros do projeto. O pivot informa a função (creator,
                          leader, member etc.).
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            avatar_url:
                              type: string
                              format: uri
                            pivot:
                              type: object
                              properties:
                                project_id:
                                  type: string
                                  format: uuid
                                user_id:
                                  type: string
                                  format: uuid
                                role:
                                  type: string
                                  description: >-
                                    Função do usuário no projeto (creator,
                                    leader, member, ...).
                                created_at:
                                  type: string
                                  format: date-time
                                updated_at:
                                  type: string
                                  format: date-time
                              required:
                                - project_id
                                - user_id
                                - role
                          required:
                            - id
                            - name
                            - pivot
                      children:
                        type: array
                        description: >-
                          Projetos filhos diretos na hierarquia (referências
                          resumidas).
                        items:
                          type: object
                      parent:
                        type: object
                        description: Projeto pai na hierarquia, quando houver.
                      frame:
                        type: object
                        description: Empresa (tenant) dona do projeto.
                        properties:
                          id:
                            type: string
                            format: uuid
                          old_id:
                            type: string
                          name:
                            type: string
                          type:
                            type: string
                            description: Tipo de frame ("1"=Personal, "2"=Company, etc.).
                          read_only_until:
                            type: string
                            description: >-
                              Frame em modo somente-leitura até esta data,
                              quando preenchido.
                            format: date-time
                          status:
                            type: integer
                            description: 1=ativo, 0=inativo.
                          subdomain:
                            type: string
                          frame_billing_data_id:
                            type: string
                            format: uuid
                          model_forms:
                            type: object
                          logo_img:
                            type: string
                            description: URL/caminho do logo.
                          cockpit_access:
                            type: integer
                            enum:
                              - 0
                              - 1
                            description: Indica se o frame possui acesso ao cockpit.
                        required:
                          - id
                          - name
                          - type
                          - status
                          - subdomain
                    required:
                      - id
                      - code
                      - name
                      - impact
                      - frame_id
                      - status
                      - budget
                      - is_template
                      - created_at
                      - updated_at
                      - children_count
                      - executors
                      - funnels
                      - project_checklists
                      - funnel_steps
                      - step_form
                      - checklists
                      - tags
                      - loose_forms
                      - groups
                      - users
                      - children
                      - frame
                required:
                  - response
                  - project
              example:
                response: true
                project:
                  id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                  parent_id: null
                  old_id: null
                  code: TS-4
                  name: Aprovar layout final
                  description: Aprovação do layout antes do envio à gráfica.
                  impact: 8
                  frame_id: 019def40-4c60-726c-b30f-1ecf669b009a
                  created_at: '2026-05-09T22:28:57.000000Z'
                  updated_at: '2026-05-09T22:28:59.000000Z'
                  customer_id: null
                  contact_id: null
                  share_token: null
                  share_settings: null
                  merged_id: null
                  status: 1
                  budget: 1500
                  is_template: false
                  created_by: 019def40-491f-70cd-9d0a-91b43fa4f10e
                  deleted_at: null
                  children_count: 0
                  form: null
                  executors:
                    - id: 019def40-491f-70cd-9d0a-91b43fa4f10e
                      user: Test User
                      hourly_rate: 50
                      elapsed: 0
                      elapsed_amount: 0
                      expected: 28800
                      expected_amount: 400
                  customer: null
                  contact: null
                  funnels:
                    - id: 35
                      name: Aprovação de Criativos
                      prefix: TS
                      order: 2
                      condition: active
                      allow_multi_step: false
                      show_cost_info: true
                      business_area_id: null
                      form_id: null
                      frame_id: 019def40-4c60-726c-b30f-1ecf669b009a
                      created_at: '2026-05-09T22:10:27.000000Z'
                      updated_at: '2026-05-09T22:10:27.000000Z'
                      deleted_at: null
                      funnel_config_template_id: null
                      allow_execution: true
                      project_term: null
                      pivot:
                        project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                        project_funnel_id: 35
                        id: 301
                        statuses_at: null
                        statuses_by: null
                        funnel_status_id: null
                        forecast_date: null
                        realized_forecast_date: null
                        created_at: '2026-05-09T22:28:57.000000Z'
                        forecast_date_update_count: 0
                      steps:
                        - id: 131
                          name: Briefing
                          project_funnel_id: 35
                          sensation_amount: 0
                          step_forward_id: null
                          step_backward_id: null
                          order: 1
                          help_text: null
                          form_id: null
                          sort_config: null
                          allow_execution: true
                          show_customer_form: false
                          show_contact_form: false
                          hide_customer_form_when_linked: false
                          hide_contact_form_when_linked: false
                          created_at: '2026-05-09T22:10:27.000000Z'
                          updated_at: '2026-05-09T22:10:27.000000Z'
                          deleted_at: null
                          checklists: []
                          attachments: []
                          form: null
                        - id: 133
                          name: Revisão
                          project_funnel_id: 35
                          sensation_amount: 0
                          step_forward_id: null
                          step_backward_id: null
                          order: 2
                          help_text: null
                          form_id: null
                          sort_config: null
                          allow_execution: true
                          show_customer_form: false
                          show_contact_form: false
                          hide_customer_form_when_linked: false
                          hide_contact_form_when_linked: false
                          created_at: '2026-05-09T22:10:27.000000Z'
                          updated_at: '2026-05-11T17:29:32.000000Z'
                          deleted_at: null
                          checklists: []
                          attachments: []
                          form: null
                      form: null
                      tags:
                        - id: 1
                          name: Urgente
                          color: '#ff8d92'
                          project_funnel_id: 35
                          deleted_at: null
                      funnel_status:
                        - id: 1
                          name: Concluído
                          color: '#7fd87d'
                          project_funnel_id: 35
                          is_conclusive: true
                          created_at: '2026-05-09T22:10:27.000000Z'
                          updated_at: '2026-05-09T22:10:27.000000Z'
                          deleted_at: null
                        - id: 2
                          name: Em andamento
                          color: '#ffe66a'
                          project_funnel_id: 35
                          is_conclusive: false
                          created_at: '2026-05-09T22:10:27.000000Z'
                          updated_at: '2026-05-09T22:10:27.000000Z'
                          deleted_at: null
                      attachments: []
                  project_checklists:
                    - id: 019e27a9-2b1b-7095-955a-3b0cc8bdabeb
                      name: Limpar o estoque
                      completed_at: null
                      author_id: 019def40-491f-70cd-9d0a-91b43fa4f10e
                      checked_by_id: null
                      project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                      created_at: '2026-05-14T18:04:18.000000Z'
                      updated_at: '2026-05-14T19:04:43.000000Z'
                      order: 0
                    - id: 019e27ab-5064-71f9-aed4-78e0728a42d0
                      name: Fazer deploy
                      completed_at: '2026-05-14T19:00:00.000000Z'
                      author_id: 019def40-491f-70cd-9d0a-91b43fa4f10e
                      checked_by_id: 019def40-491f-70cd-9d0a-91b43fa4f10e
                      project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                      created_at: '2026-05-14T18:06:39.000000Z'
                      updated_at: '2026-05-14T19:04:43.000000Z'
                      order: 1
                  funnel_steps:
                    - id: 131
                      name: Briefing
                      project_funnel_id: 35
                      sensation_amount: 0
                      step_forward_id: null
                      step_backward_id: null
                      order: 1
                      help_text: null
                      form_id: null
                      sort_config: null
                      allow_execution: true
                      show_customer_form: false
                      show_contact_form: false
                      hide_customer_form_when_linked: false
                      hide_contact_form_when_linked: false
                      created_at: '2026-05-09T22:10:27.000000Z'
                      updated_at: '2026-05-09T22:10:27.000000Z'
                      deleted_at: null
                      pivot:
                        project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                        funnel_step_id: 131
                        id: 351
                        order: 0
                        created_at: '2026-05-09T22:28:59.000000Z'
                      funnel_step_blockings: []
                  step_form: []
                  checklists: []
                  tags:
                    - id: 1
                      name: Urgente
                      color: '#ff8d92'
                      project_funnel_id: 35
                      deleted_at: null
                      pivot:
                        project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                        funnel_tag_id: 1
                        id: 1
                  merged_project: null
                  loose_forms: []
                  forum: null
                  groups: []
                  users:
                    - id: 019def40-491f-70cd-9d0a-91b43fa4f10e
                      name: Test User
                      avatar_url: >-
                        https://api.dicebear.com/9.x/avataaars/svg?seed=olie-tester&size=80
                      pivot:
                        project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                        user_id: 019def40-491f-70cd-9d0a-91b43fa4f10e
                        role: creator
                        created_at: '2026-05-09T22:28:57.000000Z'
                        updated_at: '2026-05-09T22:28:57.000000Z'
                  children: []
                  parent: null
                  frame:
                    id: 019def40-4c60-726c-b30f-1ecf669b009a
                    old_id: null
                    name: OlieDev Company
                    type: '2'
                    read_only_until: null
                    status: 1
                    subdomain: devframe
                    frame_billing_data_id: 019df979-ee1d-71a9-8d84-08ad22537c8f
                    model_forms: null
                    logo_img: null
                    cockpit_access: 0
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: unauthorized
                  error:
                    type: string
                    example: Unauthenticated.
              example:
                response: false
                message: unauthorized
                error: Unauthenticated.
        '403':
          description: Sem permissão
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  message:
                    type: string
                  error:
                    type: string
                  permission:
                    type: string
              example:
                response: false
                message: permission_required
                error: User does not have the right permissions.
                permission: projects.view.019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
        '404':
          description: Projeto não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: '[modelName]_model_not_found'
                  error:
                    type: string
                    example: No query results for model
              example:
                response: false
                message: project_model_not_found
                error: >-
                  No query results for model [App\Models\Project]
                  00000000-0000-0000-0000-000000000000
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````